sim: move sim-inline to the common code
[deliverable/binutils-gdb.git] / sim / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Copyright (C) 1993-2021 Free Software Foundation, Inc.
19 #
20 # This program is free software; you can redistribute it and/or modify
21 # it under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 3 of the License, or
23 # (at your option) any later version.
24 #
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28 # GNU General Public License for more details.
29 #
30 # You should have received a copy of the GNU General Public License
31 # along with this program. If not, see <http://www.gnu.org/licenses/>.
32
33 #
34 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
35 #
36 # This program is free software; you can redistribute it and/or modify
37 # it under the terms of the GNU General Public License as published by
38 # the Free Software Foundation; either version 3 of the License, or
39 # (at your option) any later version.
40 #
41 # This program is distributed in the hope that it will be useful,
42 # but WITHOUT ANY WARRANTY; without even the implied warranty of
43 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
44 # GNU General Public License for more details.
45 #
46 # You should have received a copy of the GNU General Public License
47 # along with this program. If not, see <http://www.gnu.org/licenses/>.
48
49 # Parts of the common/ sim code that have been unified.
50 # Most still lives in common/Make-common.in.
51
52 # The IGEN simulator generator for GDB, the GNU Debugger.
53 #
54 # Copyright 2002-2021 Free Software Foundation, Inc.
55 #
56 # Contributed by Andrew Cagney.
57 #
58 # This file is part of GDB.
59 #
60 # This program is free software; you can redistribute it and/or modify
61 # it under the terms of the GNU General Public License as published by
62 # the Free Software Foundation; either version 3 of the License, or
63 # (at your option) any later version.
64 #
65 # This program is distributed in the hope that it will be useful,
66 # but WITHOUT ANY WARRANTY; without even the implied warranty of
67 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
68 # GNU General Public License for more details.
69 #
70 # You should have received a copy of the GNU General Public License
71 # along with this program. If not, see <http://www.gnu.org/licenses/>.
72
73 #
74 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
75 #
76 # This program is free software; you can redistribute it and/or modify
77 # it under the terms of the GNU General Public License as published by
78 # the Free Software Foundation; either version 3 of the License, or
79 # (at your option) any later version.
80 #
81 # This program is distributed in the hope that it will be useful,
82 # but WITHOUT ANY WARRANTY; without even the implied warranty of
83 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
84 # GNU General Public License for more details.
85 #
86 # You should have received a copy of the GNU General Public License
87 # along with this program. If not, see <http://www.gnu.org/licenses/>.
88
89 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
90 #
91 # This program is free software; you can redistribute it and/or modify
92 # it under the terms of the GNU General Public License as published by
93 # the Free Software Foundation; either version 3 of the License, or
94 # (at your option) any later version.
95 #
96 # This program is distributed in the hope that it will be useful,
97 # but WITHOUT ANY WARRANTY; without even the implied warranty of
98 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
99 # GNU General Public License for more details.
100 #
101 # You should have received a copy of the GNU General Public License
102 # along with this program. If not, see <http://www.gnu.org/licenses/>.
103
104
105 VPATH = @srcdir@
106 am__is_gnu_make = { \
107 if test -z '$(MAKELEVEL)'; then \
108 false; \
109 elif test -n '$(MAKE_HOST)'; then \
110 true; \
111 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
112 true; \
113 else \
114 false; \
115 fi; \
116 }
117 am__make_running_with_option = \
118 case $${target_option-} in \
119 ?) ;; \
120 *) echo "am__make_running_with_option: internal error: invalid" \
121 "target option '$${target_option-}' specified" >&2; \
122 exit 1;; \
123 esac; \
124 has_opt=no; \
125 sane_makeflags=$$MAKEFLAGS; \
126 if $(am__is_gnu_make); then \
127 sane_makeflags=$$MFLAGS; \
128 else \
129 case $$MAKEFLAGS in \
130 *\\[\ \ ]*) \
131 bs=\\; \
132 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
133 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
134 esac; \
135 fi; \
136 skip_next=no; \
137 strip_trailopt () \
138 { \
139 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
140 }; \
141 for flg in $$sane_makeflags; do \
142 test $$skip_next = yes && { skip_next=no; continue; }; \
143 case $$flg in \
144 *=*|--*) continue;; \
145 -*I) strip_trailopt 'I'; skip_next=yes;; \
146 -*I?*) strip_trailopt 'I';; \
147 -*O) strip_trailopt 'O'; skip_next=yes;; \
148 -*O?*) strip_trailopt 'O';; \
149 -*l) strip_trailopt 'l'; skip_next=yes;; \
150 -*l?*) strip_trailopt 'l';; \
151 -[dEDm]) skip_next=yes;; \
152 -[JT]) skip_next=yes;; \
153 esac; \
154 case $$flg in \
155 *$$target_option*) has_opt=yes; break;; \
156 esac; \
157 done; \
158 test $$has_opt = yes
159 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
160 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
161 pkgdatadir = $(datadir)/@PACKAGE@
162 pkgincludedir = $(includedir)/@PACKAGE@
163 pkglibdir = $(libdir)/@PACKAGE@
164 pkglibexecdir = $(libexecdir)/@PACKAGE@
165 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
166 install_sh_DATA = $(install_sh) -c -m 644
167 install_sh_PROGRAM = $(install_sh) -c
168 install_sh_SCRIPT = $(install_sh) -c
169 INSTALL_HEADER = $(INSTALL_DATA)
170 transform = $(program_transform_name)
171 NORMAL_INSTALL = :
172 PRE_INSTALL = :
173 POST_INSTALL = :
174 NORMAL_UNINSTALL = :
175 PRE_UNINSTALL = :
176 POST_UNINSTALL = :
177 build_triplet = @build@
178 host_triplet = @host@
179 target_triplet = @target@
180 check_PROGRAMS = $(am__EXEEXT_3)
181 EXTRA_PROGRAMS = $(am__EXEEXT_2) testsuite/common/bits-gen$(EXEEXT) \
182 testsuite/common/fpu-tst$(EXEEXT)
183
184 # This makes sure igen is available before building the arch-subdirs which
185 # need to run the igen tool.
186 @SIM_ENABLE_IGEN_TRUE@am__append_1 = igen/igen$(EXEEXT)
187 @SIM_ENABLE_IGEN_TRUE@am__append_2 = igen/libigen.a
188 @SIM_ENABLE_IGEN_TRUE@am__append_3 = $(igen_IGEN_TOOLS)
189 @SIM_ENABLE_IGEN_TRUE@am__append_4 = $(igen_IGEN_TOOLS)
190 TESTS = testsuite/common/bits32m0$(EXEEXT) \
191 testsuite/common/bits32m31$(EXEEXT) \
192 testsuite/common/bits64m0$(EXEEXT) \
193 testsuite/common/bits64m63$(EXEEXT) \
194 testsuite/common/alu-tst$(EXEEXT)
195 subdir = .
196 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
197 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
198 $(top_srcdir)/../config/depstand.m4 \
199 $(top_srcdir)/../config/gettext-sister.m4 \
200 $(top_srcdir)/../config/lead-dot.m4 \
201 $(top_srcdir)/../config/override.m4 \
202 $(top_srcdir)/../config/plugins.m4 \
203 $(top_srcdir)/../config/zlib.m4 $(top_srcdir)/../libtool.m4 \
204 $(top_srcdir)/../ltoptions.m4 $(top_srcdir)/../ltsugar.m4 \
205 $(top_srcdir)/../ltversion.m4 $(top_srcdir)/../lt~obsolete.m4 \
206 $(top_srcdir)/m4/sim_ac_option_alignment.m4 \
207 $(top_srcdir)/m4/sim_ac_option_assert.m4 \
208 $(top_srcdir)/m4/sim_ac_option_debug.m4 \
209 $(top_srcdir)/m4/sim_ac_option_endian.m4 \
210 $(top_srcdir)/m4/sim_ac_option_environment.m4 \
211 $(top_srcdir)/m4/sim_ac_option_inline.m4 \
212 $(top_srcdir)/m4/sim_ac_option_profile.m4 \
213 $(top_srcdir)/m4/sim_ac_option_stdio.m4 \
214 $(top_srcdir)/m4/sim_ac_option_trace.m4 \
215 $(top_srcdir)/m4/sim_ac_option_warnings.m4 \
216 $(top_srcdir)/m4/sim_ac_platform.m4 \
217 $(top_srcdir)/m4/sim_ac_toolchain.m4 \
218 $(top_srcdir)/configure.ac
219 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
220 $(ACLOCAL_M4)
221 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
222 $(am__configure_deps) $(pkginclude_HEADERS)
223 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
224 configure.lineno config.status.lineno
225 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
226 CONFIG_HEADER = config.h
227 CONFIG_CLEAN_FILES = arch-subdir.mk
228 CONFIG_CLEAN_VPATH_FILES =
229 LIBRARIES = $(noinst_LIBRARIES)
230 ARFLAGS = cru
231 AM_V_AR = $(am__v_AR_@AM_V@)
232 am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
233 am__v_AR_0 = @echo " AR " $@;
234 am__v_AR_1 =
235 common_libcommon_a_AR = $(AR) $(ARFLAGS)
236 common_libcommon_a_LIBADD =
237 am__dirstamp = $(am__leading_dot)dirstamp
238 am_common_libcommon_a_OBJECTS = \
239 common/common_libcommon_a-portability.$(OBJEXT) \
240 common/common_libcommon_a-sim-load.$(OBJEXT) \
241 common/common_libcommon_a-version.$(OBJEXT)
242 common_libcommon_a_OBJECTS = $(am_common_libcommon_a_OBJECTS)
243 igen_libigen_a_AR = $(AR) $(ARFLAGS)
244 igen_libigen_a_LIBADD =
245 @SIM_ENABLE_IGEN_TRUE@am_igen_libigen_a_OBJECTS = \
246 @SIM_ENABLE_IGEN_TRUE@ igen/table.$(OBJEXT) igen/lf.$(OBJEXT) \
247 @SIM_ENABLE_IGEN_TRUE@ igen/misc.$(OBJEXT) \
248 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.$(OBJEXT) \
249 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.$(OBJEXT) \
250 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.$(OBJEXT) \
251 @SIM_ENABLE_IGEN_TRUE@ igen/filter.$(OBJEXT) \
252 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.$(OBJEXT) \
253 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.$(OBJEXT) \
254 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.$(OBJEXT) \
255 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.$(OBJEXT) \
256 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.$(OBJEXT) \
257 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.$(OBJEXT) \
258 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.$(OBJEXT) \
259 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.$(OBJEXT) \
260 @SIM_ENABLE_IGEN_TRUE@ igen/gen.$(OBJEXT)
261 igen_libigen_a_OBJECTS = $(am_igen_libigen_a_OBJECTS)
262 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_1 = igen/igen$(EXEEXT) \
263 @SIM_ENABLE_IGEN_TRUE@ igen/filter$(EXEEXT) igen/gen$(EXEEXT) \
264 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache$(EXEEXT) \
265 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode$(EXEEXT) \
266 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn$(EXEEXT) \
267 @SIM_ENABLE_IGEN_TRUE@ igen/table$(EXEEXT)
268 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_2 = $(am__EXEEXT_1)
269 am__EXEEXT_3 = testsuite/common/bits32m0$(EXEEXT) \
270 testsuite/common/bits32m31$(EXEEXT) \
271 testsuite/common/bits64m0$(EXEEXT) \
272 testsuite/common/bits64m63$(EXEEXT) \
273 testsuite/common/alu-tst$(EXEEXT)
274 am_igen_filter_OBJECTS =
275 igen_filter_OBJECTS = $(am_igen_filter_OBJECTS)
276 @SIM_ENABLE_IGEN_TRUE@igen_filter_DEPENDENCIES = igen/filter-main.o \
277 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
278 AM_V_lt = $(am__v_lt_@AM_V@)
279 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
280 am__v_lt_0 = --silent
281 am__v_lt_1 =
282 am_igen_gen_OBJECTS =
283 igen_gen_OBJECTS = $(am_igen_gen_OBJECTS)
284 @SIM_ENABLE_IGEN_TRUE@igen_gen_DEPENDENCIES = igen/gen-main.o \
285 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
286 @SIM_ENABLE_IGEN_TRUE@am_igen_igen_OBJECTS = igen/igen.$(OBJEXT)
287 igen_igen_OBJECTS = $(am_igen_igen_OBJECTS)
288 @SIM_ENABLE_IGEN_TRUE@igen_igen_DEPENDENCIES = igen/libigen.a
289 am_igen_ld_cache_OBJECTS =
290 igen_ld_cache_OBJECTS = $(am_igen_ld_cache_OBJECTS)
291 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_DEPENDENCIES = \
292 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache-main.o igen/libigen.a
293 am_igen_ld_decode_OBJECTS =
294 igen_ld_decode_OBJECTS = $(am_igen_ld_decode_OBJECTS)
295 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_DEPENDENCIES = \
296 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode-main.o igen/libigen.a
297 am_igen_ld_insn_OBJECTS =
298 igen_ld_insn_OBJECTS = $(am_igen_ld_insn_OBJECTS)
299 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_DEPENDENCIES = igen/ld-insn-main.o \
300 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
301 am_igen_table_OBJECTS =
302 igen_table_OBJECTS = $(am_igen_table_OBJECTS)
303 @SIM_ENABLE_IGEN_TRUE@igen_table_DEPENDENCIES = igen/table-main.o \
304 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
305 testsuite_common_alu_tst_SOURCES = testsuite/common/alu-tst.c
306 testsuite_common_alu_tst_OBJECTS = testsuite/common/alu-tst.$(OBJEXT)
307 testsuite_common_alu_tst_LDADD = $(LDADD)
308 testsuite_common_bits_gen_SOURCES = testsuite/common/bits-gen.c
309 testsuite_common_bits_gen_OBJECTS = \
310 testsuite/common/bits-gen.$(OBJEXT)
311 testsuite_common_bits_gen_LDADD = $(LDADD)
312 testsuite_common_bits32m0_SOURCES = testsuite/common/bits32m0.c
313 testsuite_common_bits32m0_OBJECTS = \
314 testsuite/common/bits32m0.$(OBJEXT)
315 testsuite_common_bits32m0_LDADD = $(LDADD)
316 testsuite_common_bits32m31_SOURCES = testsuite/common/bits32m31.c
317 testsuite_common_bits32m31_OBJECTS = \
318 testsuite/common/bits32m31.$(OBJEXT)
319 testsuite_common_bits32m31_LDADD = $(LDADD)
320 testsuite_common_bits64m0_SOURCES = testsuite/common/bits64m0.c
321 testsuite_common_bits64m0_OBJECTS = \
322 testsuite/common/bits64m0.$(OBJEXT)
323 testsuite_common_bits64m0_LDADD = $(LDADD)
324 testsuite_common_bits64m63_SOURCES = testsuite/common/bits64m63.c
325 testsuite_common_bits64m63_OBJECTS = \
326 testsuite/common/bits64m63.$(OBJEXT)
327 testsuite_common_bits64m63_LDADD = $(LDADD)
328 testsuite_common_fpu_tst_SOURCES = testsuite/common/fpu-tst.c
329 testsuite_common_fpu_tst_OBJECTS = testsuite/common/fpu-tst.$(OBJEXT)
330 testsuite_common_fpu_tst_LDADD = $(LDADD)
331 AM_V_P = $(am__v_P_@AM_V@)
332 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
333 am__v_P_0 = false
334 am__v_P_1 = :
335 AM_V_GEN = $(am__v_GEN_@AM_V@)
336 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
337 am__v_GEN_0 = @echo " GEN " $@;
338 am__v_GEN_1 =
339 AM_V_at = $(am__v_at_@AM_V@)
340 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
341 am__v_at_0 = @
342 am__v_at_1 =
343 DEFAULT_INCLUDES = -I.@am__isrc@
344 depcomp = $(SHELL) $(top_srcdir)/../depcomp
345 am__depfiles_maybe = depfiles
346 am__mv = mv -f
347 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
348 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
349 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
350 $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
351 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
352 $(AM_CFLAGS) $(CFLAGS)
353 AM_V_CC = $(am__v_CC_@AM_V@)
354 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
355 am__v_CC_0 = @echo " CC " $@;
356 am__v_CC_1 =
357 CCLD = $(CC)
358 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
359 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
360 $(AM_LDFLAGS) $(LDFLAGS) -o $@
361 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
362 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
363 am__v_CCLD_0 = @echo " CCLD " $@;
364 am__v_CCLD_1 =
365 SOURCES = $(common_libcommon_a_SOURCES) $(igen_libigen_a_SOURCES) \
366 $(igen_filter_SOURCES) $(igen_gen_SOURCES) \
367 $(igen_igen_SOURCES) $(igen_ld_cache_SOURCES) \
368 $(igen_ld_decode_SOURCES) $(igen_ld_insn_SOURCES) \
369 $(igen_table_SOURCES) testsuite/common/alu-tst.c \
370 testsuite/common/bits-gen.c testsuite/common/bits32m0.c \
371 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
372 testsuite/common/bits64m63.c testsuite/common/fpu-tst.c
373 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
374 ctags-recursive dvi-recursive html-recursive info-recursive \
375 install-data-recursive install-dvi-recursive \
376 install-exec-recursive install-html-recursive \
377 install-info-recursive install-pdf-recursive \
378 install-ps-recursive install-recursive installcheck-recursive \
379 installdirs-recursive pdf-recursive ps-recursive \
380 tags-recursive uninstall-recursive
381 am__can_run_installinfo = \
382 case $$AM_UPDATE_INFO_DIR in \
383 n|no|NO) false;; \
384 *) (install-info --version) >/dev/null 2>&1;; \
385 esac
386 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
387 am__vpath_adj = case $$p in \
388 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
389 *) f=$$p;; \
390 esac;
391 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
392 am__install_max = 40
393 am__nobase_strip_setup = \
394 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
395 am__nobase_strip = \
396 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
397 am__nobase_list = $(am__nobase_strip_setup); \
398 for p in $$list; do echo "$$p $$p"; done | \
399 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
400 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
401 if (++n[$$2] == $(am__install_max)) \
402 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
403 END { for (dir in files) print dir, files[dir] }'
404 am__base_list = \
405 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
406 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
407 am__uninstall_files_from_dir = { \
408 test -z "$$files" \
409 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
410 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
411 $(am__cd) "$$dir" && rm -f $$files; }; \
412 }
413 am__installdirs = "$(DESTDIR)$(pkgincludedir)"
414 HEADERS = $(pkginclude_HEADERS)
415 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
416 distclean-recursive maintainer-clean-recursive
417 am__recursive_targets = \
418 $(RECURSIVE_TARGETS) \
419 $(RECURSIVE_CLEAN_TARGETS) \
420 $(am__extra_recursive_targets)
421 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
422 cscope check recheck
423 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
424 $(LISP)config.h.in
425 # Read a list of newline-separated strings from the standard input,
426 # and print each of them once, without duplicates. Input order is
427 # *not* preserved.
428 am__uniquify_input = $(AWK) '\
429 BEGIN { nonempty = 0; } \
430 { items[$$0] = 1; nonempty = 1; } \
431 END { if (nonempty) { for (i in items) print i; }; } \
432 '
433 # Make sure the list of sources is unique. This is necessary because,
434 # e.g., the same source file might be shared among _SOURCES variables
435 # for different programs/libraries.
436 am__define_uniq_tagged_files = \
437 list='$(am__tagged_files)'; \
438 unique=`for i in $$list; do \
439 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
440 done | $(am__uniquify_input)`
441 ETAGS = etags
442 CTAGS = ctags
443 CSCOPE = cscope
444 DEJATOOL = $(PACKAGE)
445 RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
446 EXPECT = expect
447 RUNTEST = runtest
448 am__tty_colors_dummy = \
449 mgn= red= grn= lgn= blu= brg= std=; \
450 am__color_tests=no
451 am__tty_colors = { \
452 $(am__tty_colors_dummy); \
453 if test "X$(AM_COLOR_TESTS)" = Xno; then \
454 am__color_tests=no; \
455 elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
456 am__color_tests=yes; \
457 elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
458 am__color_tests=yes; \
459 fi; \
460 if test $$am__color_tests = yes; then \
461 red='\e[0;31m'; \
462 grn='\e[0;32m'; \
463 lgn='\e[1;32m'; \
464 blu='\e[1;34m'; \
465 mgn='\e[0;35m'; \
466 brg='\e[1m'; \
467 std='\e[m'; \
468 fi; \
469 }
470 am__recheck_rx = ^[ ]*:recheck:[ ]*
471 am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
472 am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
473 # A command that, given a newline-separated list of test names on the
474 # standard input, print the name of the tests that are to be re-run
475 # upon "make recheck".
476 am__list_recheck_tests = $(AWK) '{ \
477 recheck = 1; \
478 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
479 { \
480 if (rc < 0) \
481 { \
482 if ((getline line2 < ($$0 ".log")) < 0) \
483 recheck = 0; \
484 break; \
485 } \
486 else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
487 { \
488 recheck = 0; \
489 break; \
490 } \
491 else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
492 { \
493 break; \
494 } \
495 }; \
496 if (recheck) \
497 print $$0; \
498 close ($$0 ".trs"); \
499 close ($$0 ".log"); \
500 }'
501 # A command that, given a newline-separated list of test names on the
502 # standard input, create the global log from their .trs and .log files.
503 am__create_global_log = $(AWK) ' \
504 function fatal(msg) \
505 { \
506 print "fatal: making $@: " msg | "cat >&2"; \
507 exit 1; \
508 } \
509 function rst_section(header) \
510 { \
511 print header; \
512 len = length(header); \
513 for (i = 1; i <= len; i = i + 1) \
514 printf "="; \
515 printf "\n\n"; \
516 } \
517 { \
518 copy_in_global_log = 1; \
519 global_test_result = "RUN"; \
520 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
521 { \
522 if (rc < 0) \
523 fatal("failed to read from " $$0 ".trs"); \
524 if (line ~ /$(am__global_test_result_rx)/) \
525 { \
526 sub("$(am__global_test_result_rx)", "", line); \
527 sub("[ ]*$$", "", line); \
528 global_test_result = line; \
529 } \
530 else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
531 copy_in_global_log = 0; \
532 }; \
533 if (copy_in_global_log) \
534 { \
535 rst_section(global_test_result ": " $$0); \
536 while ((rc = (getline line < ($$0 ".log"))) != 0) \
537 { \
538 if (rc < 0) \
539 fatal("failed to read from " $$0 ".log"); \
540 print line; \
541 }; \
542 printf "\n"; \
543 }; \
544 close ($$0 ".trs"); \
545 close ($$0 ".log"); \
546 }'
547 # Restructured Text title.
548 am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
549 # Solaris 10 'make', and several other traditional 'make' implementations,
550 # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
551 # by disabling -e (using the XSI extension "set +e") if it's set.
552 am__sh_e_setup = case $$- in *e*) set +e;; esac
553 # Default flags passed to test drivers.
554 am__common_driver_flags = \
555 --color-tests "$$am__color_tests" \
556 --enable-hard-errors "$$am__enable_hard_errors" \
557 --expect-failure "$$am__expect_failure"
558 # To be inserted before the command running the test. Creates the
559 # directory for the log if needed. Stores in $dir the directory
560 # containing $f, in $tst the test, in $log the log. Executes the
561 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
562 # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
563 # will run the test scripts (or their associated LOG_COMPILER, if
564 # thy have one).
565 am__check_pre = \
566 $(am__sh_e_setup); \
567 $(am__vpath_adj_setup) $(am__vpath_adj) \
568 $(am__tty_colors); \
569 srcdir=$(srcdir); export srcdir; \
570 case "$@" in \
571 */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
572 *) am__odir=.;; \
573 esac; \
574 test "x$$am__odir" = x"." || test -d "$$am__odir" \
575 || $(MKDIR_P) "$$am__odir" || exit $$?; \
576 if test -f "./$$f"; then dir=./; \
577 elif test -f "$$f"; then dir=; \
578 else dir="$(srcdir)/"; fi; \
579 tst=$$dir$$f; log='$@'; \
580 if test -n '$(DISABLE_HARD_ERRORS)'; then \
581 am__enable_hard_errors=no; \
582 else \
583 am__enable_hard_errors=yes; \
584 fi; \
585 case " $(XFAIL_TESTS) " in \
586 *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
587 am__expect_failure=yes;; \
588 *) \
589 am__expect_failure=no;; \
590 esac; \
591 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
592 # A shell command to get the names of the tests scripts with any registered
593 # extension removed (i.e., equivalently, the names of the test logs, with
594 # the '.log' extension removed). The result is saved in the shell variable
595 # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
596 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
597 # since that might cause problem with VPATH rewrites for suffix-less tests.
598 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
599 am__set_TESTS_bases = \
600 bases='$(TEST_LOGS)'; \
601 bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
602 bases=`echo $$bases`
603 RECHECK_LOGS = $(TEST_LOGS)
604 TEST_SUITE_LOG = test-suite.log
605 TEST_EXTENSIONS = @EXEEXT@ .test
606 LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
607 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
608 am__set_b = \
609 case '$@' in \
610 */*) \
611 case '$*' in \
612 */*) b='$*';; \
613 *) b=`echo '$@' | sed 's/\.log$$//'`; \
614 esac;; \
615 *) \
616 b='$*';; \
617 esac
618 am__test_logs1 = $(TESTS:=.log)
619 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
620 TEST_LOGS = $(am__test_logs2:.test.log=.log)
621 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
622 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
623 $(TEST_LOG_FLAGS)
624 DIST_SUBDIRS = $(SUBDIRS)
625 ACLOCAL = @ACLOCAL@
626 AMTAR = @AMTAR@
627 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
628 AR = @AR@
629 AR_FOR_BUILD = @AR_FOR_BUILD@
630 AUTOCONF = @AUTOCONF@
631 AUTOHEADER = @AUTOHEADER@
632 AUTOMAKE = @AUTOMAKE@
633 AWK = @AWK@
634 CATALOGS = @CATALOGS@
635 CATOBJEXT = @CATOBJEXT@
636 CC = @CC@
637 CCDEPMODE = @CCDEPMODE@
638 CC_FOR_BUILD = @CC_FOR_BUILD@
639 CFLAGS = @CFLAGS@
640 CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@
641 CPP = @CPP@
642 CPPFLAGS = @CPPFLAGS@
643 CYGPATH_W = @CYGPATH_W@
644 C_DIALECT = @C_DIALECT@
645 DATADIRNAME = @DATADIRNAME@
646 DEFS = @DEFS@
647 DEPDIR = @DEPDIR@
648 DSYMUTIL = @DSYMUTIL@
649 DTC = @DTC@
650 DUMPBIN = @DUMPBIN@
651 ECHO_C = @ECHO_C@
652 ECHO_N = @ECHO_N@
653 ECHO_T = @ECHO_T@
654 EGREP = @EGREP@
655 EXEEXT = @EXEEXT@
656 FGREP = @FGREP@
657 GENCAT = @GENCAT@
658 GMSGFMT = @GMSGFMT@
659 GREP = @GREP@
660 INCINTL = @INCINTL@
661 INSTALL = @INSTALL@
662 INSTALL_DATA = @INSTALL_DATA@
663 INSTALL_PROGRAM = @INSTALL_PROGRAM@
664 INSTALL_SCRIPT = @INSTALL_SCRIPT@
665 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
666 INSTOBJEXT = @INSTOBJEXT@
667 LD = @LD@
668 LDFLAGS = @LDFLAGS@
669 LDFLAGS_FOR_BUILD = @LDFLAGS_FOR_BUILD@
670 LIBINTL = @LIBINTL@
671 LIBINTL_DEP = @LIBINTL_DEP@
672 LIBOBJS = @LIBOBJS@
673 LIBS = @LIBS@
674 LIBTOOL = @LIBTOOL@
675 LIPO = @LIPO@
676 LN_S = @LN_S@
677 LTLIBOBJS = @LTLIBOBJS@
678 MAINT = @MAINT@
679 MAKEINFO = @MAKEINFO@
680 MKDIR_P = @MKDIR_P@
681 NM = @NM@
682 NMEDIT = @NMEDIT@
683 OBJDUMP = @OBJDUMP@
684 OBJEXT = @OBJEXT@
685 OTOOL = @OTOOL@
686 OTOOL64 = @OTOOL64@
687 PACKAGE = @PACKAGE@
688 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
689 PACKAGE_NAME = @PACKAGE_NAME@
690 PACKAGE_STRING = @PACKAGE_STRING@
691 PACKAGE_TARNAME = @PACKAGE_TARNAME@
692 PACKAGE_URL = @PACKAGE_URL@
693 PACKAGE_VERSION = @PACKAGE_VERSION@
694 PATH_SEPARATOR = @PATH_SEPARATOR@
695 PKGVERSION = @PKGVERSION@
696 POSUB = @POSUB@
697 RANLIB = @RANLIB@
698 RANLIB_FOR_BUILD = @RANLIB_FOR_BUILD@
699 REPORT_BUGS_TEXI = @REPORT_BUGS_TEXI@
700 REPORT_BUGS_TO = @REPORT_BUGS_TO@
701 SED = @SED@
702 SET_MAKE = @SET_MAKE@
703 SHELL = @SHELL@
704 SIM_INLINE = @SIM_INLINE@
705 SIM_PRIMARY_TARGET = @SIM_PRIMARY_TARGET@
706 STRIP = @STRIP@
707 USE_NLS = @USE_NLS@
708 VERSION = @VERSION@
709 WARN_CFLAGS = @WARN_CFLAGS@
710 WERROR_CFLAGS = @WERROR_CFLAGS@
711 XGETTEXT = @XGETTEXT@
712 abs_builddir = @abs_builddir@
713 abs_srcdir = @abs_srcdir@
714 abs_top_builddir = @abs_top_builddir@
715 abs_top_srcdir = @abs_top_srcdir@
716 ac_ct_CC = @ac_ct_CC@
717 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
718 am__include = @am__include@
719 am__leading_dot = @am__leading_dot@
720 am__quote = @am__quote@
721 am__tar = @am__tar@
722 am__untar = @am__untar@
723 bindir = @bindir@
724 build = @build@
725 build_alias = @build_alias@
726 build_cpu = @build_cpu@
727 build_os = @build_os@
728 build_vendor = @build_vendor@
729 builddir = @builddir@
730 datadir = @datadir@
731 datarootdir = @datarootdir@
732 docdir = @docdir@
733 dvidir = @dvidir@
734 exec_prefix = @exec_prefix@
735 host = @host@
736 host_alias = @host_alias@
737 host_cpu = @host_cpu@
738 host_os = @host_os@
739 host_vendor = @host_vendor@
740 htmldir = @htmldir@
741 includedir = @includedir@
742 infodir = @infodir@
743 install_sh = @install_sh@
744 libdir = @libdir@
745 libexecdir = @libexecdir@
746 localedir = @localedir@
747 localstatedir = @localstatedir@
748 lt_cv_dlopen_libs = @lt_cv_dlopen_libs@
749 mandir = @mandir@
750 mkdir_p = @mkdir_p@
751 oldincludedir = @oldincludedir@
752 pdfdir = @pdfdir@
753 prefix = @prefix@
754 program_transform_name = @program_transform_name@
755 psdir = @psdir@
756 sbindir = @sbindir@
757 sharedstatedir = @sharedstatedir@
758 srcdir = @srcdir@
759 subdirs = @subdirs@
760 sysconfdir = @sysconfdir@
761 target = @target@
762 target_alias = @target_alias@
763 target_cpu = @target_cpu@
764 target_os = @target_os@
765 target_vendor = @target_vendor@
766 top_build_prefix = @top_build_prefix@
767 top_builddir = @top_builddir@
768 top_srcdir = @top_srcdir@
769 zlibdir = @zlibdir@
770 zlibinc = @zlibinc@
771 AUTOMAKE_OPTIONS = dejagnu foreign no-dist subdir-objects
772 ACLOCAL_AMFLAGS = -Im4 -I.. -I../config
773 srcroot = $(srcdir)/..
774 SUBDIRS = @subdirs@
775 AM_MAKEFLAGS = SIM_PRIMARY_TARGET=$(SIM_PRIMARY_TARGET)
776
777 # NB: libcommon.a isn't used directly by ports. We need a target for common
778 # objects to be a part of, and ports use the individual objects directly.
779 noinst_LIBRARIES = common/libcommon.a $(am__append_2)
780 CLEANFILES = common/version.c common/version.c-stamp \
781 testsuite/common/bits-gen testsuite/common/bits32m0.c \
782 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
783 testsuite/common/bits64m63.c
784 DISTCLEANFILES =
785 MOSTLYCLEANFILES = core $(am__append_4) site-srcdir.exp testrun.log \
786 testrun.sum
787 AM_CFLAGS = $(WERROR_CFLAGS) $(WARN_CFLAGS)
788 AM_CPPFLAGS = -I$(srcroot)/include $(SIM_INLINE) -I$(srcdir)/common
789 COMPILE_FOR_BUILD = $(CC_FOR_BUILD) $(AM_CPPFLAGS) $(CFLAGS_FOR_BUILD)
790 LINK_FOR_BUILD = $(CC_FOR_BUILD) $(CFLAGS_FOR_BUILD) $(LDFLAGS_FOR_BUILD) -o $@
791
792 # Deps to add to the all-recursive target. These are built before descending
793 # into any subdirs.
794
795 # This makes sure common parts are available before building the arch-subdirs
796 # which will refer to these.
797 SIM_ALL_RECURSIVE_DEPS = common/libcommon.a $(am__append_1)
798 pkginclude_HEADERS = \
799 $(srcroot)/include/sim/callback.h \
800 $(srcroot)/include/sim/sim.h
801
802 common_libcommon_a_CPPFLAGS = \
803 $(AM_CPPFLAGS) \
804 -DSIM_COMMON_BUILD \
805 -I../bfd \
806 -I..
807
808 common_libcommon_a_SOURCES = \
809 common/portability.c \
810 common/sim-load.c \
811 common/version.c
812
813 @SIM_ENABLE_IGEN_TRUE@igen_libigen_a_SOURCES = \
814 @SIM_ENABLE_IGEN_TRUE@ igen/table.c \
815 @SIM_ENABLE_IGEN_TRUE@ igen/lf.c \
816 @SIM_ENABLE_IGEN_TRUE@ igen/misc.c \
817 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.c \
818 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.c \
819 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.c \
820 @SIM_ENABLE_IGEN_TRUE@ igen/filter.c \
821 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.c \
822 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.c \
823 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.c \
824 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.c \
825 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.c \
826 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.c \
827 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.c \
828 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.c \
829 @SIM_ENABLE_IGEN_TRUE@ igen/gen.c
830
831 @SIM_ENABLE_IGEN_TRUE@igen_igen_SOURCES = igen/igen.c
832 @SIM_ENABLE_IGEN_TRUE@igen_igen_LDADD = igen/libigen.a
833 @SIM_ENABLE_IGEN_TRUE@igen_filter_SOURCES =
834 @SIM_ENABLE_IGEN_TRUE@igen_filter_LDADD = igen/filter-main.o igen/libigen.a
835 @SIM_ENABLE_IGEN_TRUE@igen_gen_SOURCES =
836 @SIM_ENABLE_IGEN_TRUE@igen_gen_LDADD = igen/gen-main.o igen/libigen.a
837 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_SOURCES =
838 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_LDADD = igen/ld-cache-main.o igen/libigen.a
839 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_SOURCES =
840 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_LDADD = igen/ld-decode-main.o igen/libigen.a
841 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_SOURCES =
842 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_LDADD = igen/ld-insn-main.o igen/libigen.a
843 @SIM_ENABLE_IGEN_TRUE@igen_table_SOURCES =
844 @SIM_ENABLE_IGEN_TRUE@igen_table_LDADD = igen/table-main.o igen/libigen.a
845 @SIM_ENABLE_IGEN_TRUE@igen_IGEN_TOOLS = \
846 @SIM_ENABLE_IGEN_TRUE@ igen/igen \
847 @SIM_ENABLE_IGEN_TRUE@ igen/filter \
848 @SIM_ENABLE_IGEN_TRUE@ igen/gen \
849 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache \
850 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode \
851 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn \
852 @SIM_ENABLE_IGEN_TRUE@ igen/table
853
854
855 # Tweak the site.exp so it works with plain `runtest` from user.
856 EXTRA_DEJAGNU_SITE_CONFIG = site-srcdir.exp
857 testsuite_common_CPPFLAGS = \
858 -I$(srcdir)/common \
859 -I$(srcroot)/include \
860 -I../bfd
861
862 all: config.h
863 $(MAKE) $(AM_MAKEFLAGS) all-recursive
864
865 .SUFFIXES:
866 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
867 am--refresh: Makefile
868 @:
869 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__configure_deps)
870 @for dep in $?; do \
871 case '$(am__configure_deps)' in \
872 *$$dep*) \
873 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
874 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
875 && exit 0; \
876 exit 1;; \
877 esac; \
878 done; \
879 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
880 $(am__cd) $(top_srcdir) && \
881 $(AUTOMAKE) --foreign Makefile
882 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
883 @case '$?' in \
884 *config.status*) \
885 echo ' $(SHELL) ./config.status'; \
886 $(SHELL) ./config.status;; \
887 *) \
888 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
889 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
890 esac;
891 $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__empty):
892
893 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
894 $(SHELL) ./config.status --recheck
895
896 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
897 $(am__cd) $(srcdir) && $(AUTOCONF)
898 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
899 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
900 $(am__aclocal_m4_deps):
901
902 config.h: stamp-h1
903 @test -f $@ || rm -f stamp-h1
904 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
905
906 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
907 @rm -f stamp-h1
908 cd $(top_builddir) && $(SHELL) ./config.status config.h
909 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
910 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
911 rm -f stamp-h1
912 touch $@
913
914 distclean-hdr:
915 -rm -f config.h stamp-h1
916 arch-subdir.mk: $(top_builddir)/config.status $(srcdir)/arch-subdir.mk.in
917 cd $(top_builddir) && $(SHELL) ./config.status $@
918
919 clean-noinstLIBRARIES:
920 -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
921 common/$(am__dirstamp):
922 @$(MKDIR_P) common
923 @: > common/$(am__dirstamp)
924 common/$(DEPDIR)/$(am__dirstamp):
925 @$(MKDIR_P) common/$(DEPDIR)
926 @: > common/$(DEPDIR)/$(am__dirstamp)
927 common/common_libcommon_a-portability.$(OBJEXT): \
928 common/$(am__dirstamp) common/$(DEPDIR)/$(am__dirstamp)
929 common/common_libcommon_a-sim-load.$(OBJEXT): common/$(am__dirstamp) \
930 common/$(DEPDIR)/$(am__dirstamp)
931 common/common_libcommon_a-version.$(OBJEXT): common/$(am__dirstamp) \
932 common/$(DEPDIR)/$(am__dirstamp)
933
934 common/libcommon.a: $(common_libcommon_a_OBJECTS) $(common_libcommon_a_DEPENDENCIES) $(EXTRA_common_libcommon_a_DEPENDENCIES) common/$(am__dirstamp)
935 $(AM_V_at)-rm -f common/libcommon.a
936 $(AM_V_AR)$(common_libcommon_a_AR) common/libcommon.a $(common_libcommon_a_OBJECTS) $(common_libcommon_a_LIBADD)
937 $(AM_V_at)$(RANLIB) common/libcommon.a
938 igen/$(am__dirstamp):
939 @$(MKDIR_P) igen
940 @: > igen/$(am__dirstamp)
941 igen/$(DEPDIR)/$(am__dirstamp):
942 @$(MKDIR_P) igen/$(DEPDIR)
943 @: > igen/$(DEPDIR)/$(am__dirstamp)
944 igen/table.$(OBJEXT): igen/$(am__dirstamp) \
945 igen/$(DEPDIR)/$(am__dirstamp)
946 igen/lf.$(OBJEXT): igen/$(am__dirstamp) igen/$(DEPDIR)/$(am__dirstamp)
947 igen/misc.$(OBJEXT): igen/$(am__dirstamp) \
948 igen/$(DEPDIR)/$(am__dirstamp)
949 igen/filter_host.$(OBJEXT): igen/$(am__dirstamp) \
950 igen/$(DEPDIR)/$(am__dirstamp)
951 igen/ld-decode.$(OBJEXT): igen/$(am__dirstamp) \
952 igen/$(DEPDIR)/$(am__dirstamp)
953 igen/ld-cache.$(OBJEXT): igen/$(am__dirstamp) \
954 igen/$(DEPDIR)/$(am__dirstamp)
955 igen/filter.$(OBJEXT): igen/$(am__dirstamp) \
956 igen/$(DEPDIR)/$(am__dirstamp)
957 igen/ld-insn.$(OBJEXT): igen/$(am__dirstamp) \
958 igen/$(DEPDIR)/$(am__dirstamp)
959 igen/gen-model.$(OBJEXT): igen/$(am__dirstamp) \
960 igen/$(DEPDIR)/$(am__dirstamp)
961 igen/gen-itable.$(OBJEXT): igen/$(am__dirstamp) \
962 igen/$(DEPDIR)/$(am__dirstamp)
963 igen/gen-icache.$(OBJEXT): igen/$(am__dirstamp) \
964 igen/$(DEPDIR)/$(am__dirstamp)
965 igen/gen-semantics.$(OBJEXT): igen/$(am__dirstamp) \
966 igen/$(DEPDIR)/$(am__dirstamp)
967 igen/gen-idecode.$(OBJEXT): igen/$(am__dirstamp) \
968 igen/$(DEPDIR)/$(am__dirstamp)
969 igen/gen-support.$(OBJEXT): igen/$(am__dirstamp) \
970 igen/$(DEPDIR)/$(am__dirstamp)
971 igen/gen-engine.$(OBJEXT): igen/$(am__dirstamp) \
972 igen/$(DEPDIR)/$(am__dirstamp)
973 igen/gen.$(OBJEXT): igen/$(am__dirstamp) \
974 igen/$(DEPDIR)/$(am__dirstamp)
975
976 @SIM_ENABLE_IGEN_FALSE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
977 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)-rm -f igen/libigen.a
978 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_AR)$(igen_libigen_a_AR) igen/libigen.a $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
979 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)$(RANLIB) igen/libigen.a
980
981 clean-checkPROGRAMS:
982 @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
983 echo " rm -f" $$list; \
984 rm -f $$list || exit $$?; \
985 test -n "$(EXEEXT)" || exit 0; \
986 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
987 echo " rm -f" $$list; \
988 rm -f $$list
989
990 igen/filter$(EXEEXT): $(igen_filter_OBJECTS) $(igen_filter_DEPENDENCIES) $(EXTRA_igen_filter_DEPENDENCIES) igen/$(am__dirstamp)
991 @rm -f igen/filter$(EXEEXT)
992 $(AM_V_CCLD)$(LINK) $(igen_filter_OBJECTS) $(igen_filter_LDADD) $(LIBS)
993
994 igen/gen$(EXEEXT): $(igen_gen_OBJECTS) $(igen_gen_DEPENDENCIES) $(EXTRA_igen_gen_DEPENDENCIES) igen/$(am__dirstamp)
995 @rm -f igen/gen$(EXEEXT)
996 $(AM_V_CCLD)$(LINK) $(igen_gen_OBJECTS) $(igen_gen_LDADD) $(LIBS)
997 igen/igen.$(OBJEXT): igen/$(am__dirstamp) \
998 igen/$(DEPDIR)/$(am__dirstamp)
999
1000 @SIM_ENABLE_IGEN_FALSE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) $(EXTRA_igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
1001 @SIM_ENABLE_IGEN_FALSE@ @rm -f igen/igen$(EXEEXT)
1002 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_CCLD)$(LINK) $(igen_igen_OBJECTS) $(igen_igen_LDADD) $(LIBS)
1003
1004 igen/ld-cache$(EXEEXT): $(igen_ld_cache_OBJECTS) $(igen_ld_cache_DEPENDENCIES) $(EXTRA_igen_ld_cache_DEPENDENCIES) igen/$(am__dirstamp)
1005 @rm -f igen/ld-cache$(EXEEXT)
1006 $(AM_V_CCLD)$(LINK) $(igen_ld_cache_OBJECTS) $(igen_ld_cache_LDADD) $(LIBS)
1007
1008 igen/ld-decode$(EXEEXT): $(igen_ld_decode_OBJECTS) $(igen_ld_decode_DEPENDENCIES) $(EXTRA_igen_ld_decode_DEPENDENCIES) igen/$(am__dirstamp)
1009 @rm -f igen/ld-decode$(EXEEXT)
1010 $(AM_V_CCLD)$(LINK) $(igen_ld_decode_OBJECTS) $(igen_ld_decode_LDADD) $(LIBS)
1011
1012 igen/ld-insn$(EXEEXT): $(igen_ld_insn_OBJECTS) $(igen_ld_insn_DEPENDENCIES) $(EXTRA_igen_ld_insn_DEPENDENCIES) igen/$(am__dirstamp)
1013 @rm -f igen/ld-insn$(EXEEXT)
1014 $(AM_V_CCLD)$(LINK) $(igen_ld_insn_OBJECTS) $(igen_ld_insn_LDADD) $(LIBS)
1015
1016 igen/table$(EXEEXT): $(igen_table_OBJECTS) $(igen_table_DEPENDENCIES) $(EXTRA_igen_table_DEPENDENCIES) igen/$(am__dirstamp)
1017 @rm -f igen/table$(EXEEXT)
1018 $(AM_V_CCLD)$(LINK) $(igen_table_OBJECTS) $(igen_table_LDADD) $(LIBS)
1019 testsuite/common/$(am__dirstamp):
1020 @$(MKDIR_P) testsuite/common
1021 @: > testsuite/common/$(am__dirstamp)
1022 testsuite/common/$(DEPDIR)/$(am__dirstamp):
1023 @$(MKDIR_P) testsuite/common/$(DEPDIR)
1024 @: > testsuite/common/$(DEPDIR)/$(am__dirstamp)
1025 testsuite/common/alu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1026 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1027 testsuite/common/bits-gen.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1028 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1029 testsuite/common/bits32m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1030 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1031 testsuite/common/bits32m31.$(OBJEXT): \
1032 testsuite/common/$(am__dirstamp) \
1033 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1034 testsuite/common/bits64m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1035 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1036 testsuite/common/bits64m63.$(OBJEXT): \
1037 testsuite/common/$(am__dirstamp) \
1038 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1039 testsuite/common/fpu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1040 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1041
1042 mostlyclean-compile:
1043 -rm -f *.$(OBJEXT)
1044 -rm -f common/*.$(OBJEXT)
1045 -rm -f igen/*.$(OBJEXT)
1046 -rm -f testsuite/common/*.$(OBJEXT)
1047
1048 distclean-compile:
1049 -rm -f *.tab.c
1050
1051 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-portability.Po@am__quote@
1052 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-sim-load.Po@am__quote@
1053 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-version.Po@am__quote@
1054 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter.Po@am__quote@
1055 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter_host.Po@am__quote@
1056 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-engine.Po@am__quote@
1057 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-icache.Po@am__quote@
1058 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-idecode.Po@am__quote@
1059 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-itable.Po@am__quote@
1060 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-model.Po@am__quote@
1061 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-semantics.Po@am__quote@
1062 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-support.Po@am__quote@
1063 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen.Po@am__quote@
1064 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/igen.Po@am__quote@
1065 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-cache.Po@am__quote@
1066 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-decode.Po@am__quote@
1067 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-insn.Po@am__quote@
1068 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/lf.Po@am__quote@
1069 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/misc.Po@am__quote@
1070 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/table.Po@am__quote@
1071 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/alu-tst.Po@am__quote@
1072 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits-gen.Po@am__quote@
1073 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m0.Po@am__quote@
1074 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m31.Po@am__quote@
1075 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m0.Po@am__quote@
1076 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m63.Po@am__quote@
1077 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/fpu-tst.Po@am__quote@
1078
1079 .c.o:
1080 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1081 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1082 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1083 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1084 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1085 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1086
1087 .c.obj:
1088 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1089 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1090 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1091 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1092 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1093 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1094
1095 .c.lo:
1096 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1097 @am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1098 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Plo
1099 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1100 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1101 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1102
1103 common/common_libcommon_a-portability.o: common/portability.c
1104 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-portability.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-portability.Tpo -c -o common/common_libcommon_a-portability.o `test -f 'common/portability.c' || echo '$(srcdir)/'`common/portability.c
1105 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-portability.Tpo common/$(DEPDIR)/common_libcommon_a-portability.Po
1106 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/portability.c' object='common/common_libcommon_a-portability.o' libtool=no @AMDEPBACKSLASH@
1107 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1108 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-portability.o `test -f 'common/portability.c' || echo '$(srcdir)/'`common/portability.c
1109
1110 common/common_libcommon_a-portability.obj: common/portability.c
1111 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-portability.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-portability.Tpo -c -o common/common_libcommon_a-portability.obj `if test -f 'common/portability.c'; then $(CYGPATH_W) 'common/portability.c'; else $(CYGPATH_W) '$(srcdir)/common/portability.c'; fi`
1112 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-portability.Tpo common/$(DEPDIR)/common_libcommon_a-portability.Po
1113 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/portability.c' object='common/common_libcommon_a-portability.obj' libtool=no @AMDEPBACKSLASH@
1114 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1115 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-portability.obj `if test -f 'common/portability.c'; then $(CYGPATH_W) 'common/portability.c'; else $(CYGPATH_W) '$(srcdir)/common/portability.c'; fi`
1116
1117 common/common_libcommon_a-sim-load.o: common/sim-load.c
1118 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-sim-load.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo -c -o common/common_libcommon_a-sim-load.o `test -f 'common/sim-load.c' || echo '$(srcdir)/'`common/sim-load.c
1119 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo common/$(DEPDIR)/common_libcommon_a-sim-load.Po
1120 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/sim-load.c' object='common/common_libcommon_a-sim-load.o' libtool=no @AMDEPBACKSLASH@
1121 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1122 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-sim-load.o `test -f 'common/sim-load.c' || echo '$(srcdir)/'`common/sim-load.c
1123
1124 common/common_libcommon_a-sim-load.obj: common/sim-load.c
1125 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-sim-load.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo -c -o common/common_libcommon_a-sim-load.obj `if test -f 'common/sim-load.c'; then $(CYGPATH_W) 'common/sim-load.c'; else $(CYGPATH_W) '$(srcdir)/common/sim-load.c'; fi`
1126 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo common/$(DEPDIR)/common_libcommon_a-sim-load.Po
1127 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/sim-load.c' object='common/common_libcommon_a-sim-load.obj' libtool=no @AMDEPBACKSLASH@
1128 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1129 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-sim-load.obj `if test -f 'common/sim-load.c'; then $(CYGPATH_W) 'common/sim-load.c'; else $(CYGPATH_W) '$(srcdir)/common/sim-load.c'; fi`
1130
1131 common/common_libcommon_a-version.o: common/version.c
1132 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-version.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-version.Tpo -c -o common/common_libcommon_a-version.o `test -f 'common/version.c' || echo '$(srcdir)/'`common/version.c
1133 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-version.Tpo common/$(DEPDIR)/common_libcommon_a-version.Po
1134 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/version.c' object='common/common_libcommon_a-version.o' libtool=no @AMDEPBACKSLASH@
1135 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1136 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-version.o `test -f 'common/version.c' || echo '$(srcdir)/'`common/version.c
1137
1138 common/common_libcommon_a-version.obj: common/version.c
1139 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-version.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-version.Tpo -c -o common/common_libcommon_a-version.obj `if test -f 'common/version.c'; then $(CYGPATH_W) 'common/version.c'; else $(CYGPATH_W) '$(srcdir)/common/version.c'; fi`
1140 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-version.Tpo common/$(DEPDIR)/common_libcommon_a-version.Po
1141 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/version.c' object='common/common_libcommon_a-version.obj' libtool=no @AMDEPBACKSLASH@
1142 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1143 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-version.obj `if test -f 'common/version.c'; then $(CYGPATH_W) 'common/version.c'; else $(CYGPATH_W) '$(srcdir)/common/version.c'; fi`
1144
1145 mostlyclean-libtool:
1146 -rm -f *.lo
1147
1148 clean-libtool:
1149 -rm -rf .libs _libs
1150 -rm -rf igen/.libs igen/_libs
1151 -rm -rf testsuite/common/.libs testsuite/common/_libs
1152
1153 distclean-libtool:
1154 -rm -f libtool config.lt
1155 install-pkgincludeHEADERS: $(pkginclude_HEADERS)
1156 @$(NORMAL_INSTALL)
1157 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
1158 if test -n "$$list"; then \
1159 echo " $(MKDIR_P) '$(DESTDIR)$(pkgincludedir)'"; \
1160 $(MKDIR_P) "$(DESTDIR)$(pkgincludedir)" || exit 1; \
1161 fi; \
1162 for p in $$list; do \
1163 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1164 echo "$$d$$p"; \
1165 done | $(am__base_list) | \
1166 while read files; do \
1167 echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(pkgincludedir)'"; \
1168 $(INSTALL_HEADER) $$files "$(DESTDIR)$(pkgincludedir)" || exit $$?; \
1169 done
1170
1171 uninstall-pkgincludeHEADERS:
1172 @$(NORMAL_UNINSTALL)
1173 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
1174 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1175 dir='$(DESTDIR)$(pkgincludedir)'; $(am__uninstall_files_from_dir)
1176
1177 # This directory's subdirectories are mostly independent; you can cd
1178 # into them and run 'make' without going through this Makefile.
1179 # To change the values of 'make' variables: instead of editing Makefiles,
1180 # (1) if the variable is set in 'config.status', edit 'config.status'
1181 # (which will cause the Makefiles to be regenerated when you run 'make');
1182 # (2) otherwise, pass the desired values on the 'make' command line.
1183 $(am__recursive_targets):
1184 @fail=; \
1185 if $(am__make_keepgoing); then \
1186 failcom='fail=yes'; \
1187 else \
1188 failcom='exit 1'; \
1189 fi; \
1190 dot_seen=no; \
1191 target=`echo $@ | sed s/-recursive//`; \
1192 case "$@" in \
1193 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1194 *) list='$(SUBDIRS)' ;; \
1195 esac; \
1196 for subdir in $$list; do \
1197 echo "Making $$target in $$subdir"; \
1198 if test "$$subdir" = "."; then \
1199 dot_seen=yes; \
1200 local_target="$$target-am"; \
1201 else \
1202 local_target="$$target"; \
1203 fi; \
1204 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1205 || eval $$failcom; \
1206 done; \
1207 if test "$$dot_seen" = "no"; then \
1208 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1209 fi; test -z "$$fail"
1210
1211 ID: $(am__tagged_files)
1212 $(am__define_uniq_tagged_files); mkid -fID $$unique
1213 tags: tags-recursive
1214 TAGS: tags
1215
1216 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1217 set x; \
1218 here=`pwd`; \
1219 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1220 include_option=--etags-include; \
1221 empty_fix=.; \
1222 else \
1223 include_option=--include; \
1224 empty_fix=; \
1225 fi; \
1226 list='$(SUBDIRS)'; for subdir in $$list; do \
1227 if test "$$subdir" = .; then :; else \
1228 test ! -f $$subdir/TAGS || \
1229 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1230 fi; \
1231 done; \
1232 $(am__define_uniq_tagged_files); \
1233 shift; \
1234 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1235 test -n "$$unique" || unique=$$empty_fix; \
1236 if test $$# -gt 0; then \
1237 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1238 "$$@" $$unique; \
1239 else \
1240 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1241 $$unique; \
1242 fi; \
1243 fi
1244 ctags: ctags-recursive
1245
1246 CTAGS: ctags
1247 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1248 $(am__define_uniq_tagged_files); \
1249 test -z "$(CTAGS_ARGS)$$unique" \
1250 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1251 $$unique
1252
1253 GTAGS:
1254 here=`$(am__cd) $(top_builddir) && pwd` \
1255 && $(am__cd) $(top_srcdir) \
1256 && gtags -i $(GTAGS_ARGS) "$$here"
1257 cscope: cscope.files
1258 test ! -s cscope.files \
1259 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
1260 clean-cscope:
1261 -rm -f cscope.files
1262 cscope.files: clean-cscope cscopelist
1263 cscopelist: cscopelist-recursive
1264
1265 cscopelist-am: $(am__tagged_files)
1266 list='$(am__tagged_files)'; \
1267 case "$(srcdir)" in \
1268 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1269 *) sdir=$(subdir)/$(srcdir) ;; \
1270 esac; \
1271 for i in $$list; do \
1272 if test -f "$$i"; then \
1273 echo "$(subdir)/$$i"; \
1274 else \
1275 echo "$$sdir/$$i"; \
1276 fi; \
1277 done >> $(top_builddir)/cscope.files
1278
1279 distclean-tags:
1280 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1281 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
1282 site.exp: Makefile $(EXTRA_DEJAGNU_SITE_CONFIG)
1283 @echo 'Making a new site.exp file ...'
1284 @echo '## these variables are automatically generated by make ##' >site.tmp
1285 @echo '# Do not edit here. If you wish to override these values' >>site.tmp
1286 @echo '# edit the last section' >>site.tmp
1287 @echo 'set srcdir "$(srcdir)"' >>site.tmp
1288 @echo "set objdir `pwd`" >>site.tmp
1289 @echo 'set build_alias "$(build_alias)"' >>site.tmp
1290 @echo 'set build_triplet $(build_triplet)' >>site.tmp
1291 @echo 'set host_alias "$(host_alias)"' >>site.tmp
1292 @echo 'set host_triplet $(host_triplet)' >>site.tmp
1293 @echo 'set target_alias "$(target_alias)"' >>site.tmp
1294 @echo 'set target_triplet $(target_triplet)' >>site.tmp
1295 @list='$(EXTRA_DEJAGNU_SITE_CONFIG)'; for f in $$list; do \
1296 echo "## Begin content included from file $$f. Do not modify. ##" \
1297 && cat `test -f "$$f" || echo '$(srcdir)/'`$$f \
1298 && echo "## End content included from file $$f. ##" \
1299 || exit 1; \
1300 done >> site.tmp
1301 @echo "## End of auto-generated content; you can edit from here. ##" >> site.tmp
1302 @if test -f site.exp; then \
1303 sed -e '1,/^## End of auto-generated content.*##/d' site.exp >> site.tmp; \
1304 fi
1305 @-rm -f site.bak
1306 @test ! -f site.exp || mv site.exp site.bak
1307 @mv site.tmp site.exp
1308
1309 distclean-DEJAGNU:
1310 -rm -f site.exp site.bak
1311 -l='$(DEJATOOL)'; for tool in $$l; do \
1312 rm -f $$tool.sum $$tool.log; \
1313 done
1314
1315 # Recover from deleted '.trs' file; this should ensure that
1316 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1317 # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
1318 # to avoid problems with "make -n".
1319 .log.trs:
1320 rm -f $< $@
1321 $(MAKE) $(AM_MAKEFLAGS) $<
1322
1323 # Leading 'am--fnord' is there to ensure the list of targets does not
1324 # expand to empty, as could happen e.g. with make check TESTS=''.
1325 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1326 am--force-recheck:
1327 @:
1328
1329 $(TEST_SUITE_LOG): $(TEST_LOGS)
1330 @$(am__set_TESTS_bases); \
1331 am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1332 redo_bases=`for i in $$bases; do \
1333 am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1334 done`; \
1335 if test -n "$$redo_bases"; then \
1336 redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1337 redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1338 if $(am__make_dryrun); then :; else \
1339 rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1340 fi; \
1341 fi; \
1342 if test -n "$$am__remaking_logs"; then \
1343 echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1344 "recursion detected" >&2; \
1345 elif test -n "$$redo_logs"; then \
1346 am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1347 fi; \
1348 if $(am__make_dryrun); then :; else \
1349 st=0; \
1350 errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1351 for i in $$redo_bases; do \
1352 test -f $$i.trs && test -r $$i.trs \
1353 || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1354 test -f $$i.log && test -r $$i.log \
1355 || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1356 done; \
1357 test $$st -eq 0 || exit 1; \
1358 fi
1359 @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1360 ws='[ ]'; \
1361 results=`for b in $$bases; do echo $$b.trs; done`; \
1362 test -n "$$results" || results=/dev/null; \
1363 all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
1364 pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
1365 fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
1366 skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
1367 xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1368 xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1369 error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1370 if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1371 success=true; \
1372 else \
1373 success=false; \
1374 fi; \
1375 br='==================='; br=$$br$$br$$br$$br; \
1376 result_count () \
1377 { \
1378 if test x"$$1" = x"--maybe-color"; then \
1379 maybe_colorize=yes; \
1380 elif test x"$$1" = x"--no-color"; then \
1381 maybe_colorize=no; \
1382 else \
1383 echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1384 fi; \
1385 shift; \
1386 desc=$$1 count=$$2; \
1387 if test $$maybe_colorize = yes && test $$count -gt 0; then \
1388 color_start=$$3 color_end=$$std; \
1389 else \
1390 color_start= color_end=; \
1391 fi; \
1392 echo "$${color_start}# $$desc $$count$${color_end}"; \
1393 }; \
1394 create_testsuite_report () \
1395 { \
1396 result_count $$1 "TOTAL:" $$all "$$brg"; \
1397 result_count $$1 "PASS: " $$pass "$$grn"; \
1398 result_count $$1 "SKIP: " $$skip "$$blu"; \
1399 result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1400 result_count $$1 "FAIL: " $$fail "$$red"; \
1401 result_count $$1 "XPASS:" $$xpass "$$red"; \
1402 result_count $$1 "ERROR:" $$error "$$mgn"; \
1403 }; \
1404 { \
1405 echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
1406 $(am__rst_title); \
1407 create_testsuite_report --no-color; \
1408 echo; \
1409 echo ".. contents:: :depth: 2"; \
1410 echo; \
1411 for b in $$bases; do echo $$b; done \
1412 | $(am__create_global_log); \
1413 } >$(TEST_SUITE_LOG).tmp || exit 1; \
1414 mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
1415 if $$success; then \
1416 col="$$grn"; \
1417 else \
1418 col="$$red"; \
1419 test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
1420 fi; \
1421 echo "$${col}$$br$${std}"; \
1422 echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
1423 echo "$${col}$$br$${std}"; \
1424 create_testsuite_report --maybe-color; \
1425 echo "$$col$$br$$std"; \
1426 if $$success; then :; else \
1427 echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
1428 if test -n "$(PACKAGE_BUGREPORT)"; then \
1429 echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1430 fi; \
1431 echo "$$col$$br$$std"; \
1432 fi; \
1433 $$success || exit 1
1434
1435 check-TESTS:
1436 @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
1437 @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1438 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1439 @set +e; $(am__set_TESTS_bases); \
1440 log_list=`for i in $$bases; do echo $$i.log; done`; \
1441 trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1442 log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1443 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1444 exit $$?;
1445 recheck: all $(check_PROGRAMS)
1446 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1447 @set +e; $(am__set_TESTS_bases); \
1448 bases=`for i in $$bases; do echo $$i; done \
1449 | $(am__list_recheck_tests)` || exit 1; \
1450 log_list=`for i in $$bases; do echo $$i.log; done`; \
1451 log_list=`echo $$log_list`; \
1452 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1453 am__force_recheck=am--force-recheck \
1454 TEST_LOGS="$$log_list"; \
1455 exit $$?
1456 testsuite/common/bits32m0.log: testsuite/common/bits32m0$(EXEEXT)
1457 @p='testsuite/common/bits32m0$(EXEEXT)'; \
1458 b='testsuite/common/bits32m0'; \
1459 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1460 --log-file $$b.log --trs-file $$b.trs \
1461 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1462 "$$tst" $(AM_TESTS_FD_REDIRECT)
1463 testsuite/common/bits32m31.log: testsuite/common/bits32m31$(EXEEXT)
1464 @p='testsuite/common/bits32m31$(EXEEXT)'; \
1465 b='testsuite/common/bits32m31'; \
1466 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1467 --log-file $$b.log --trs-file $$b.trs \
1468 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1469 "$$tst" $(AM_TESTS_FD_REDIRECT)
1470 testsuite/common/bits64m0.log: testsuite/common/bits64m0$(EXEEXT)
1471 @p='testsuite/common/bits64m0$(EXEEXT)'; \
1472 b='testsuite/common/bits64m0'; \
1473 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1474 --log-file $$b.log --trs-file $$b.trs \
1475 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1476 "$$tst" $(AM_TESTS_FD_REDIRECT)
1477 testsuite/common/bits64m63.log: testsuite/common/bits64m63$(EXEEXT)
1478 @p='testsuite/common/bits64m63$(EXEEXT)'; \
1479 b='testsuite/common/bits64m63'; \
1480 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1481 --log-file $$b.log --trs-file $$b.trs \
1482 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1483 "$$tst" $(AM_TESTS_FD_REDIRECT)
1484 testsuite/common/alu-tst.log: testsuite/common/alu-tst$(EXEEXT)
1485 @p='testsuite/common/alu-tst$(EXEEXT)'; \
1486 b='testsuite/common/alu-tst'; \
1487 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1488 --log-file $$b.log --trs-file $$b.trs \
1489 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1490 "$$tst" $(AM_TESTS_FD_REDIRECT)
1491 .test.log:
1492 @p='$<'; \
1493 $(am__set_b); \
1494 $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1495 --log-file $$b.log --trs-file $$b.trs \
1496 $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1497 "$$tst" $(AM_TESTS_FD_REDIRECT)
1498 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
1499 @am__EXEEXT_TRUE@ @p='$<'; \
1500 @am__EXEEXT_TRUE@ $(am__set_b); \
1501 @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1502 @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
1503 @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1504 @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
1505 check-am: all-am
1506 $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1507 $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU check-TESTS
1508 check: check-recursive
1509 all-am: Makefile $(LIBRARIES) $(HEADERS) config.h
1510 installdirs: installdirs-recursive
1511 installdirs-am:
1512 for dir in "$(DESTDIR)$(pkgincludedir)"; do \
1513 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1514 done
1515 install: install-recursive
1516 install-exec: install-exec-recursive
1517 install-data: install-data-recursive
1518 uninstall: uninstall-recursive
1519
1520 install-am: all-am
1521 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1522
1523 installcheck: installcheck-recursive
1524 install-strip:
1525 if test -z '$(STRIP)'; then \
1526 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1527 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1528 install; \
1529 else \
1530 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1531 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1532 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1533 fi
1534 mostlyclean-generic:
1535 -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1536 -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1537 -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1538 -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1539
1540 clean-generic:
1541 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1542
1543 distclean-generic:
1544 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1545 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1546 -rm -f common/$(DEPDIR)/$(am__dirstamp)
1547 -rm -f common/$(am__dirstamp)
1548 -rm -f igen/$(DEPDIR)/$(am__dirstamp)
1549 -rm -f igen/$(am__dirstamp)
1550 -rm -f testsuite/common/$(DEPDIR)/$(am__dirstamp)
1551 -rm -f testsuite/common/$(am__dirstamp)
1552 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1553
1554 maintainer-clean-generic:
1555 @echo "This command is intended for maintainers to use"
1556 @echo "it deletes files that may require special tools to rebuild."
1557 clean: clean-recursive
1558
1559 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1560 clean-noinstLIBRARIES mostlyclean-am
1561
1562 distclean: distclean-recursive
1563 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1564 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1565 -rm -f Makefile
1566 distclean-am: clean-am distclean-DEJAGNU distclean-compile \
1567 distclean-generic distclean-hdr distclean-libtool \
1568 distclean-tags
1569
1570 dvi: dvi-recursive
1571
1572 dvi-am:
1573
1574 html: html-recursive
1575
1576 html-am:
1577
1578 info: info-recursive
1579
1580 info-am:
1581
1582 install-data-am: install-pkgincludeHEADERS
1583
1584 install-dvi: install-dvi-recursive
1585
1586 install-dvi-am:
1587
1588 install-exec-am:
1589
1590 install-html: install-html-recursive
1591
1592 install-html-am:
1593
1594 install-info: install-info-recursive
1595
1596 install-info-am:
1597
1598 install-man:
1599
1600 install-pdf: install-pdf-recursive
1601
1602 install-pdf-am:
1603
1604 install-ps: install-ps-recursive
1605
1606 install-ps-am:
1607
1608 installcheck-am:
1609
1610 maintainer-clean: maintainer-clean-recursive
1611 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1612 -rm -rf $(top_srcdir)/autom4te.cache
1613 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1614 -rm -f Makefile
1615 maintainer-clean-am: distclean-am maintainer-clean-generic
1616
1617 mostlyclean: mostlyclean-recursive
1618
1619 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1620 mostlyclean-libtool
1621
1622 pdf: pdf-recursive
1623
1624 pdf-am:
1625
1626 ps: ps-recursive
1627
1628 ps-am:
1629
1630 uninstall-am: uninstall-pkgincludeHEADERS
1631
1632 .MAKE: $(am__recursive_targets) all check-am install-am install-strip
1633
1634 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1635 am--refresh check check-DEJAGNU check-TESTS check-am clean \
1636 clean-checkPROGRAMS clean-cscope clean-generic clean-libtool \
1637 clean-noinstLIBRARIES cscope cscopelist-am ctags ctags-am \
1638 distclean distclean-DEJAGNU distclean-compile \
1639 distclean-generic distclean-hdr distclean-libtool \
1640 distclean-tags dvi dvi-am html html-am info info-am install \
1641 install-am install-data install-data-am install-dvi \
1642 install-dvi-am install-exec install-exec-am install-html \
1643 install-html-am install-info install-info-am install-man \
1644 install-pdf install-pdf-am install-pkgincludeHEADERS \
1645 install-ps install-ps-am install-strip installcheck \
1646 installcheck-am installdirs installdirs-am maintainer-clean \
1647 maintainer-clean-generic mostlyclean mostlyclean-compile \
1648 mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1649 recheck tags tags-am uninstall uninstall-am \
1650 uninstall-pkgincludeHEADERS
1651
1652 .PRECIOUS: Makefile
1653
1654
1655 # Generate nltvals.def for newlib/libgloss using devo and build tree.
1656 # This file is shipped with distributions so we build in the source dir.
1657 # Use `make nltvals' to rebuild.
1658 # Note: If gdb releases begin to contain target header files (not a good idea,
1659 # but if they did ...), nltvals.def coud be generated at build time.
1660 # An alternative is to slurp in the tables at runtime.
1661 .PHONY: nltvals
1662 nltvals:
1663 $(abs_srcdir)/common/gennltvals.py --cpp "$(CPP)" --output nltvals.def --srcroot $(srcroot)
1664 $(SHELL) $(srcroot)/move-if-change nltvals.def $(abs_srcdir)/common/nltvals.def
1665
1666 common/version.c: common/version.c-stamp ; @true
1667 common/version.c-stamp: $(srcroot)/gdb/version.in $(srcroot)/bfd/version.h $(srcdir)/common/create-version.sh
1668 $(AM_V_GEN)$(SHELL) $(srcdir)/common/create-version.sh $(srcroot)/gdb $@.tmp
1669 $(AM_V_at)$(SHELL) $(srcroot)/move-if-change $@.tmp $(@:-stamp=)
1670 $(AM_V_at)touch $@
1671
1672 # Alias for developers.
1673 @SIM_ENABLE_IGEN_TRUE@igen: igen/igen$(EXEEXT)
1674
1675 # These rules are copied from automake, but tweaked to use FOR_BUILD variables.
1676 @SIM_ENABLE_IGEN_TRUE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
1677 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)-rm -f $@
1678 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_AR)$(AR_FOR_BUILD) $(ARFLAGS) $@ $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
1679 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)$(RANLIB_FOR_BUILD) $@
1680
1681 @SIM_ENABLE_IGEN_TRUE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
1682 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CCLD)$(LINK_FOR_BUILD) $(igen_igen_OBJECTS) $(igen_igen_LDADD)
1683
1684 # igen is a build-time only tool. Override the default rules for it.
1685 @SIM_ENABLE_IGEN_TRUE@igen/%.o: igen/%.c
1686 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -c $< -o $@
1687
1688 # Build some of the files in standalone mode for developers of igen itself.
1689 @SIM_ENABLE_IGEN_TRUE@igen/%-main.o: igen/%.c
1690 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -DMAIN -c $< -o $@
1691
1692 site-srcdir.exp: Makefile
1693 echo "set srcdir \"$(srcdir)/testsuite\"" > $@
1694
1695 check-DEJAGNU: site.exp
1696 LC_ALL=C; export LC_ALL; \
1697 EXPECT=${EXPECT} ; export EXPECT ; \
1698 runtest=$(RUNTEST); \
1699 if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
1700 $$runtest $(RUNTESTFLAGS); \
1701 else echo "WARNING: could not find \`runtest'" 1>&2; :;\
1702 fi
1703
1704 # These tests are build-time only tools. Override the default rules for them.
1705 testsuite/common/%.o: testsuite/common/%.c
1706 $(AM_V_CC)$(COMPILE_FOR_BUILD) $(testsuite_common_CPPFLAGS) -c $< -o $@
1707
1708 testsuite/common/alu-tst$(EXEEXT): $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1709 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_LDADD)
1710
1711 testsuite/common/fpu-tst$(EXEEXT): $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1712 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_LDADD)
1713
1714 testsuite/common/bits-gen$(EXEEXT): $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1715 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_LDADD)
1716
1717 testsuite/common/bits32m0$(EXEEXT): $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1718 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_LDADD)
1719
1720 testsuite/common/bits32m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1721 $(AM_V_GEN)$< 32 0 big > $@.tmp
1722 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1723 $(AM_V_at)mv $@.tmp $@
1724
1725 testsuite/common/bits32m31$(EXEEXT): $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1726 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_LDADD)
1727
1728 testsuite/common/bits32m31.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1729 $(AM_V_GEN)$< 32 31 little > $@.tmp
1730 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1731 $(AM_V_at)mv $@.tmp $@
1732
1733 testsuite/common/bits64m0$(EXEEXT): $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1734 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_LDADD)
1735
1736 testsuite/common/bits64m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1737 $(AM_V_GEN)$< 64 0 big > $@.tmp
1738 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1739 $(AM_V_at)mv $@.tmp $@
1740
1741 testsuite/common/bits64m63$(EXEEXT): $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1742 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_LDADD)
1743
1744 testsuite/common/bits64m63.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1745 $(AM_V_GEN)$< 64 63 little > $@.tmp
1746 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1747 $(AM_V_at)mv $@.tmp $@
1748
1749 all-recursive: $(SIM_ALL_RECURSIVE_DEPS)
1750
1751 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1752 # Otherwise a system limit (for SysV at least) may be exceeded.
1753 .NOEXPORT:
This page took 0.094213 seconds and 4 git commands to generate.